Last Comment Bug 901153 - Update indexeddb documentation
: Update indexeddb documentation
Status: RESOLVED FIXED
:
Product: Add-on SDK
Classification: Client Software
Component: Documentation (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla25
Assigned To: Will Bamberg [:wbamberg]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 16:58 PDT by Will Bamberg [:wbamberg]
Modified: 2013-08-08 11:13 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
901153.patch (7.16 KB, patch)
2013-08-02 19:20 PDT, Will Bamberg [:wbamberg]
dtownsend: review+
Details | Diff | Splinter Review

Description Will Bamberg [:wbamberg] 2013-08-02 16:58:54 PDT
bug 888598 and bug 890405 removed most of the exports from indexed-db: we should update the docs for Firefox 25.
Comment 1 Will Bamberg [:wbamberg] 2013-08-02 19:20:17 PDT
Created attachment 785318 [details] [diff] [review]
901153.patch

This patch removes documentation for the IndexedDB exports that got removed for Firefox 25.

I also replaced the link to an example with an embedded example. I thought the embedded example is easier to follow, and easier to try out as it's a complete add-on. But I'm not sure the code is particularly good, and I'm happy to revert to the original example if you think that would be better.
Comment 2 [github robot] 2013-08-05 16:17:09 PDT
Commit pushed to master at https://github.com/mozilla/addon-sdk

https://github.com/mozilla/addon-sdk/commit/47f42c569be9adea4844b8323a9994742334078f
Bug 901153 - Update indexeddb documentation; r=@mossop

Note You need to log in before you can comment on or make changes to this bug.